Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 645024

Summary: sys-apps/net-tools should be removed from @system
Product: Gentoo Linux Reporter: Cedric Sodhi <manday>
Component: Current packagesAssignee: Gentoo's Team for Core System packages <base-system>
Status: CONFIRMED ---    
Severity: normal CC: alexander, arnaudv6, diego.viola, fturco, manday, ne3dle, sam, steffen.weber
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
See Also: https://bugs.gentoo.org/show_bug.cgi?id=128538
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on: 128538, 393445    
Bug Blocks:    

Description Cedric Sodhi 2018-01-19 13:17:01 UTC
To my knowledge net-tools consists only of deprecated binaries (if there is still one in there which hasn't been replaced, maybe it could be split out?), so I think it should be removed from @system and possibly be replaced by the appropriate candidates (iproute2, for instance).
Comment 1 SpanKY gentoo-dev 2018-01-19 22:26:07 UTC
i don't think it can/should be dropped from @system until bug 393445 is resolved so we can still keep net-tools in the default releases
Comment 2 Cedric Sodhi 2018-01-20 08:52:09 UTC
W.r.t. bug 393445 I think the issue is orthogonal. Until bug 393445 is resolved, net-tools can already be replaced by iproute2. Whether or how iproute2 is then kept in @system or only the stageX respectively is a seperate question. On the other hand I agree that it would make more sense to resolve all three in a single step.
Comment 3 SpanKY gentoo-dev 2018-01-20 17:54:16 UTC
(In reply to Cedric Sodhi from comment #2)

it isn't a sep issue.  we don't actively make things worse.  once we have the framework in place to make sure net-tools stays in the release can we look at removing it from @system.
Comment 4 Mike Gilbert gentoo-dev 2018-01-20 18:07:21 UTC
(In reply to SpanKY from comment #3)

It isn't really necessary to keep net-tools in our stage tarballs if other utilities provide roughly equivalent functionality.
Comment 5 SpanKY gentoo-dev 2018-01-21 02:36:02 UTC
(In reply to Mike Gilbert from comment #4)

considering the long term muscle memory people have around net-tools (especially ifconfig & route), including it by default in releases makes sense
Comment 6 Cedric Sodhi 2018-01-21 07:45:15 UTC
(In reply to SpanKY from comment #5)

I think Gentoo's baseline should be to provide a modern, consistent system and not be built around the idea of accomodating everyone's personal habits. If someone feels uncomfortable using the contemporary toolset, they are free to install the deprecated tools.

But again, I think we are mixing different issues here. This bug is about replacing net-tools with iproute2 (say). Bug 393445 is a layer above that.
Comment 7 Cedric Sodhi 2023-01-22 11:30:47 UTC Comment hidden (obsolete)
Comment 8 needle 2024-01-18 11:45:54 UTC
Hi,

running gentoo without net-tools. This is if someone would like to try:

https://wiki.gentoo.org/wiki/User:Needle/iproute2-native-gentoo

All my 4 gentoo nodes run now without net-tools.

Hoping this helps speeding up the things and  removing net-tools from portage and closing this bug.